varying vec2 		texcoord;	
uniform sampler2D 	tex;
uniform float		alpha;
vec4			color;
uniform float		scale;

void main()
{
	color = texture2D(tex,texcoord.st);
	color.w*=alpha;
	color.rgb*=scale;
	gl_FragColor = color;
}